Creates a new custom role with the specified permissions.
curl --request POST \
--url https://api.strait.dev/v1/roles \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"description": "<string>",
"name": "<string>",
"permissions": [
"<string>"
],
"parent_role_id": "<string>"
}
'{
"created_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"is_system": true,
"name": "<string>",
"permissions": [
"<string>"
],
"project_id": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"$schema": "<string>",
"description": "<string>",
"parent_role_id": "<string>"
}Documentation Index
Fetch the complete documentation index at: https://docs.strait.dev/llms.txt
Use this file to discover all available pages before exploring further.
API key passed as Bearer token
OK
A URL to the JSON Schema for this object.
"https://api.strait.dev/schemas/ProjectRole.json"
curl --request POST \
--url https://api.strait.dev/v1/roles \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"description": "<string>",
"name": "<string>",
"permissions": [
"<string>"
],
"parent_role_id": "<string>"
}
'{
"created_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"is_system": true,
"name": "<string>",
"permissions": [
"<string>"
],
"project_id": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"$schema": "<string>",
"description": "<string>",
"parent_role_id": "<string>"
}